Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing.model
Class DescribeLoadBalancersRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.elasticloadbalancing.model.DescribeLoadBalancersRequest

    public class DescribeLoadBalancersRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeLoadBalancers operation`.

See Also:
  `AmazonElasticLoadBalancing.describeLoadBalancers(DescribeLoadBalancersRequest)`

Constructor Summary
`DescribeLoadBalancersRequest()`

Method Summary
`List<String>` | `getLoadBalancerNames()` Returns the value of the LoadBalancerNames property for this object.
`void` | `setLoadBalancerNames(Collection<String> loadBalancerNames)` Sets the value of the LoadBalancerNames property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeLoadBalancersRequest` | `withLoadBalancerNames(Collection<String> loadBalancerNames)` Sets the value of the LoadBalancerNames property for this object.
`DescribeLoadBalancersRequest` | `withLoadBalancerNames(String... loadBalancerNames)` Sets the value of the LoadBalancerNames property for this object.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeLoadBalancersRequest

    public DescribeLoadBalancersRequest()

Method Detail

### getLoadBalancerNames

    public List<String> getLoadBalancerNames()

  Returns the value of the LoadBalancerNames property for this object.

  Returns:
    The value of the LoadBalancerNames property for this object.

### setLoadBalancerNames

    public void setLoadBalancerNames(Collection<String> loadBalancerNames)

  Sets the value of the LoadBalancerNames property for this object.

  Parameters:
    `loadBalancerNames` - The new value for the LoadBalancerNames property for this object.

### withLoadBalancerNames

    public DescribeLoadBalancersRequest withLoadBalancerNames(String... loadBalancerNames)

  Sets the value of the LoadBalancerNames property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `loadBalancerNames` - The new value for the LoadBalancerNames property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withLoadBalancerNames

    public DescribeLoadBalancersRequest withLoadBalancerNames(Collection<String> loadBalancerNames)

  Sets the value of the LoadBalancerNames property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `loadBalancerNames` - The new value for the LoadBalancerNames property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.